Bug 240604 - [NEW PORT] graphics/py-colour: Python colour representations manipulation library
Summary: [NEW PORT] graphics/py-colour: Python colour representations manipulation lib...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: feature, needs-qa
Depends on:
Blocks: 240601
  Show dependency treegraph
 
Reported: 2019-09-15 23:54 UTC by m.ne
Modified: 2019-09-21 16:22 UTC (History)
3 users (show)

See Also:
m.ne: maintainer-feedback+


Attachments
shar containing graphics/py-colour port (1.59 KB, text/plain)
2019-09-15 23:54 UTC, m.ne
no flags Details
updated shar file (1.62 KB, text/plain)
2019-09-16 01:54 UTC, m.ne
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.ne 2019-09-15 23:54:40 UTC
Created attachment 207526 [details]
shar containing graphics/py-colour port

Optionally needed for https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240601
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-16 00:59:25 UTC
Review items:

nose is a TEST_DEPENDS (extras_require), not a RUN_DEPENDS (install_requires)

Please confirm this port passes QA (portlint, poudriere)
Comment 2 m.ne 2019-09-16 01:54:46 UTC
Created attachment 207528 [details]
updated shar file
Comment 3 Kurt Jaeger freebsd_committer 2019-09-21 16:20:44 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2019-09-21 16:22:26 UTC
A commit references this bug:

Author: pi
Date: Sat Sep 21 16:21:34 UTC 2019
New revision: 512522
URL: https://svnweb.freebsd.org/changeset/ports/512522

Log:
  New port: graphics/py-colour

  Converts and manipulates common colour representation (RGB, HSL, web, ...)

  WWW: http://github.com/vaab/colour

  PR:		240604
  Submitted by:	m.ne@gmx.net
  Reviewed by:	koobs

Changes:
  head/graphics/Makefile
  head/graphics/py-colour/
  head/graphics/py-colour/Makefile
  head/graphics/py-colour/distinfo
  head/graphics/py-colour/pkg-descr